@import url("https://fonts.googleapis.com/css2?family=Inter:wght@100;200;300;400;500;600;700;800&display=swap");

:root {
  --main-color: #0097ed;
}

::selection {
  background: var(--main-color);
}
body {
  background-color: #e6e6e6;
}

* {
  font-family: 'Inter', sans-serif;
}

:focus {
  outline: none;
}
.search {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

#term {
  font-family: "Inter", sans-serif;
  height: 50px;
  width: 600px;
  font-size: 20px;
  line-height: 20px;
  border-radius: 25px;
  border: solid var(--main-color);
  border-width: 0.1em;
  box-shadow: 1px 1px 10px grey;

  padding-left: 114.86929321289062px;
}

#term:focus {
  box-shadow: 1px 1px 20px var(--main-color);
}

#term::-webkit-input-placeholder {
  font-family: "Inter", sans-serif;
  font-size: 20px;
  line-height: 20px;
}

#searchType {
  position: absolute;
  background: none;
  border: none;
  bottom: 23%;
  left: 3%;
  font-size: 20px;
  font-weight: bold;
  width: 92.8692932129px;
  color: var(--main-color);
  -ms-user-select: none;
  user-select: none;
}

#searchType:hover {
  opacity: 70%;
  cursor: pointer;
}
#atopSearch {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  margin-top: -40px;
  -ms-user-select: none;
  user-select: none;
}

#searchButton {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background: var(--main-color);
  color: white;
  font-size: 1.2em;
  border-radius: 60px;
  padding: 10px 20px;
  border: 2px solid var(--main-color);
  box-shadow: 1px 1px 10px grey;
  cursor: not-allowed;
  opacity: 10%;
  margin-top: 70px;
}

#searchMagni {
  padding-left: 5px;
}

.card {
  background-color: white;
  box-shadow: 1px 1px 10px grey;
  border-radius: 40px;
  padding-left: 1.6rem;
  height: 8rem;
  min-width: 160;
  position: relative;
}

.card {
  background-color: white;
  box-shadow: 1px 1px 10px grey;
  border-radius: 40px;
  padding-left: 1.6rem;
  height: 8rem;
  min-width: 160;
  transition: ease-in-out 0.2s;
}

.card:hover {
  transform: translateY(-3px);
  transition: ease-in-out 0.2s;
  background-color: #fafafa;
}

.cards {
  margin: 0 auto;
  display: grid;
  grid-gap: 1rem;
}

/* Screen larger than 600px? 2 column */
@media (min-width: 400px) {
  .cards {
    grid-template-columns: repeat(2, 1fr);
  }
}

@media (min-width: 850px) {
  .cards {
    grid-template-columns: repeat(3, 1fr);
  }
}

/* Screen larger than 900px? 3 columns */
@media (min-width: 1000px) {
  .cards {
    grid-template-columns: repeat(4, 1fr);
    padding: 70px 70px;
  }
}

@media (min-width: 1600px) {
  .cards {
    grid-template-columns: repeat(5, 1fr);
    padding: 140px 140px;
    grid-gap: 2rem;
  }
}

@media (min-width: 2200px) {
  .cards {
    grid-template-columns: repeat(5, 1fr);
    padding: 20vw 20vw;
    grid-gap: 2rem;
  }
}
.wordHeader {
  font-size: 18px;
  font-weight: bold;
  margin-bottom: 0;
}

.describedTerm {
  font-size: 16px;
  font-weight: 200;
  font-style: italic;
  margin-top: -5px;
  margin-bottom: 0;
}

.wordType {
  font-size: 14px;
  margin: 0;
  margin-bottom: 0.7em;
}

.wordPro {
  margin: 0;
  font: bold 14px monospace;
  opacity: 0.7;
}

.dictionary {
  color: #b3b3b3;
  cursor: pointer;
  background: none;
  border: none;
  font-size: 1.3em;
  position:absolute;
  bottom: 22px;
  
}

.dictionary::before,
.dictionary::after {
  --scale: 0;
  --arrow-size: 5px;
  --toooltip-color: black;
  opacity: 0;
  position: absolute;
  top: -0.5rem;
  left: 50%;
  transform: translateX(-50%) translateY(-100%) scale(var(--scale));
}

.dictionary::before {
    --translate-y: calc(-100% - var(--arrow-size));
  transition-delay: 0s;
  content: attr(data-tooltip);
  color: white;
  font-size: 0.7rem;
  padding: 0.4rem;
  border-radius: 0.5rem;
  text-align: center;
  width: max-content;
  background: var(--toooltip-color);
}

.dictionary:hover::before, .dictionary:hover::after {
  --scale: 1;
  visibility: visible;
  opacity: 1;
}

.dictionary::after {
    --translate-y: calc(-1 * var(--arrow-size));
    content: "";
    border: var(--arrow-size) solid transparent;
    border-top-color: var(--toooltip-color);
    margin-top: 8px;
}

#noResult {
  text-align: center;
  font-weight:900;
  font-size: 2rem;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  margin-top: 8.5em;
  -ms-user-select: none;
  user-select: none;
  background: none;
  border-radius: 12px;
  border-width: thick;
  border-color: black;
  border-style: none;
  opacity: 1;
  transition: opacity 0.7s; 
  
}

#resultExclaim {
  font-size: 2em;
  margin-bottom: -0.2em;
  text-shadow: 1px 1px 10px red;
}

#resultExclaim {
  font-size: 2em;
  margin-bottom: -0.2em;
  text-shadow: 1px 1px 10px red;
}

#noword {
  font-weight: 300;
  margin-top: -1.85em;
  font-size: 0.6em;
}

#noResult.fade {
  opacity: 0;
}

#banner {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  margin-top: -190px;
}

#about {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  margin-top: 130px;
  background: none;
  border: none;
  color: var(--main-color);
  font-size: 1em;
}

#about:hover {
  cursor: pointer;
  text-decoration: underline;
}

#aboutBox {
  display: none;
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 70%;
  max-width: 600px;
  max-height: 100%;
  min-height: 250px;
  background: white;
  padding: 1.6rem;
  border-radius: 2em;
}

.light {
  display: none;
  opacity: 0;
  transition: opacity 1s;
}
@keyframes fadeIn {
  0% {
    opacity:0;
  }
  100% {
    opacity:1;
  }
}

@-moz-keyframes fadeIn {
  0% {
    opacity:0;
  }
  100% {
    opacity:1;
  }
}

@-webkit-keyframes fadeIn {
  0% {
    opacity:0;
  }
  100% {
    opacity:1;
  }
}

@-o-keyframes fadeIn {
  0% {
    opacity:0;
  }
  100% {
    opacity:1;
  }
}

@-ms-keyframes fadeIn {
  0% {
    opacity:0;
  }
  100% {
    opacity:1;
}
}
.dim {
  animation: fadeIn ease 0.5s;
  -webkit-animation: fadeIn ease 0.5s;
  -moz-animation: fadeIn ease 0.5s;
  -o-animation: fadeIn ease 0.5s;
  -ms-animation: fadeIn ease 0.5s;
  display: block;
  opacity: 1;
  transition: opacity 1s;
  position:fixed;
  left:0;
  top: 0;
  width:100%;
  height:100%;
  background-color: rgba(0,0,0,0.5);
}

#aboutTitle {
  font-size: 2em;
  font-weight: bold;
  position: relative;
  width:fit-content;
}

#aboutText {
  max-width: 600px;
}

#aboutClose {
  border: none;
  background: none;
  font-size: 2.3em;
  float: right;
  cursor: pointer;
  position: absolute;
  right: 2.5vh;
  top: 2.5vh;
  padding: 0;
}

#aboutClose:hover {
  opacity: 0.7;
}

#toTop {
  animation: fadeIn ease 0.5s;
  -webkit-animation: fadeIn ease 0.5s;
  -moz-animation: fadeIn ease 0.5s;
  -o-animation: fadeIn ease 0.5s;
  -ms-animation: fadeIn ease 0.5s;
  background:white;
  position: fixed;
  color: var(--main-color);
  height: 60px;
  width: 60px;
  font-size: 1.8em;
  border-radius: 50%;
  border: none;
  bottom: 50px;
  right: 50px;
  box-shadow: 1px 1px 10px grey;
  cursor: pointer;
  display: none;
  z-index: 1;
  margin: 0;
  padding: 0;
}

#toTop::before,
#toTopy::after {
  --scale: 0;
  --arrow-size: 5px;
  --toooltip-color: white;
  opacity: 0;
  position: absolute;
  top: -0.5rem;
  left: 50%;
  transform: translateX(-50%) translateY(-100%) scale(var(--scale));
}

#toTop::before {
    --translate-y: calc(-100% - var(--arrow-size));
  transition-delay: 0s;
  content: attr(data-tooltip);
  color: black;
  font-size: 0.7rem;
  padding: 0.4rem;
  border-radius: 0.5rem;
  text-align: center;
  width: max-content;
  background: var(--toooltip-color);
}

#toTop:hover::before, #toTop:hover::after {
  --scale: 1;
  visibility: visible;
  opacity: 1;
}

#toTop::after {
    --translate-y: calc(-1 * var(--arrow-size));
    content: "";
    border: var(--arrow-size) solid transparent;
    border-top-color: var(--toooltip-color);
    margin-top: 8px;
}

#aboutLinks {
  list-style: none;
  display: inline;
  padding-left: 0;
}
#aboutLinks li {
  display: inline;
  margin: 10px;
}

.aboutLinks {
  display: table;
  margin: 0 auto;
  margin-top: 20px;
}

#aboutLinks li a{
  color: var(--main-color);
  font-size: 1.1em;
  position: relative;

}

#aboutLinks li a::before,
#aboutLinks li a::after {
  --scale: 0;
  --arrow-size: 5px;
  --toooltip-color: black;
  opacity: 0;
  position: absolute;
  top: -0.5rem;
  left: 50%;
  transform: translateX(-50%) translateY(-100%) scale(var(--scale));
}

#aboutLinks li a::before {
    --translate-y: calc(-100% - var(--arrow-size));
  transition-delay: 0s;
  content: attr(data-tooltip);
  color: white;
  font-size: 0.7rem;
  padding: 0.4rem;
  border-radius: 0.5rem;
  text-align: center;
  width: max-content;
  background: var(--toooltip-color);
}

#aboutLinks li a:hover::before, #aboutLinks li a:hover::after {
  --scale: 1;
  visibility: visible;
  opacity: 1;
}

#aboutLinks li a::after {
    --translate-y: calc(-1 * var(--arrow-size));
    content: "";
    border: var(--arrow-size) solid transparent;
    border-top-color: var(--toooltip-color);
    margin-top: 8px;
}
#footerDatamuse {
  text-align: center;
  margin-top: -50px;
  user-select: none;
}